#!/usr/bin/python
#
#
#Module Name:
# 
#    sample1.py
# 
#Abstract:
# 
#    - Display target version.
#    - Build a physical memory dump from a hibernation file.
# 
#Environment:
# 
#    - Python
# 
#Revision History:
# 
#    - Matthieu Suiche
# 

import sys
import sandman

if len(sys.argv) != 3:
	print "Matthieu Suiche - http://sandman.msuiche.net/"
	print "Usage: sample.py hiberfil.sys physical_dump.vmem"
	sys.exit(1)

s = sandman.hiber_open(sys.argv[1])

ver = sandman.hiber_get_version(s);

print "Windows version %d.%d.%d\n" % (ver & 0xFF, (ver & 0xFF00) >> 8, ver >> 16)

print "Generate physical memory dump..."

sandman.hiber_dump(s, sys.argv[2])

print "Done."

sandman.hiber_close(s)
